#include "TM1637.h"
#define CLK 5//pins definitions for TM1637 and can be changed to other ports       
#define DIO 6
TM1637 tm1637(CLK, DIO);
void setup()
{
  tm1637.init();
  tm1637.set(BRIGHTEST);//BRIGHT_TYPICAL = 2,BRIGHT_DARKEST = 0,BRIGHTEST = 7;
}
void loop() {
  for (int i = 9999; i > 0; i--) {
    tm1637.display(0, i / 1000);
    tm1637.display(1, i / 100 % 10);
    tm1637.display(2, i / 10 % 10);
    tm1637.display(3, i % 10);
    delay(10);
  }
}

